# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.2.1](https://github.com/superluminar-io/super-eks/compare/v0.2.0...v0.2.1) (2021-04-13)

## [0.2.0](https://github.com/superluminar-io/super-eks/compare/v0.1.9...v0.2.0) (2021-03-22)


### ⚠ BREAKING CHANGES

* Due to naming and scope problem, it's not possible to
upgrade existing super-eks clusters without running into problems.
If you can, it's probably easiest to just create a new stack and
migrate your workloads.
A normal update will try to create a new cluster and delete the old one
which will lead to downtime.

* CDK 1.94, naming, eks 1.19  ([#98](https://github.com/superluminar-io/super-eks/issues/98)) ([c5068c1](https://github.com/superluminar-io/super-eks/commit/c5068c1a1da867718ad4d205a6c93d4b68920cc9))

### [0.1.9](https://github.com/superluminar-io/super-eks/compare/v0.1.8...v0.1.9) (2021-03-08)


### Features

* **#45:** Migrate add-on from custom resource to CfnAddon construct ([#76](https://github.com/superluminar-io/super-eks/issues/76)) ([6c200cc](https://github.com/superluminar-io/super-eks/commit/6c200ccc2500fedf99516363b41d6fab2fef2f1a)), closes [#45](https://github.com/superluminar-io/super-eks/issues/45)

### [0.1.8](https://github.com/superluminar-io/super-eks/compare/v0.1.7...v0.1.8) (2021-03-03)


### Features

* Add PDBs for system workloads ([#66](https://github.com/superluminar-io/super-eks/issues/66)) ([4b21fc3](https://github.com/superluminar-io/super-eks/commit/4b21fc32f93a4803576151f351324020ccb84aeb)), closes [#59](https://github.com/superluminar-io/super-eks/issues/59)
* **#45:** Expose Add-on Versions ([#53](https://github.com/superluminar-io/super-eks/issues/53)) ([f742350](https://github.com/superluminar-io/super-eks/commit/f74235062f6d76fd5414246226fe95544ca117a3)), closes [#45](https://github.com/superluminar-io/super-eks/issues/45) [#45](https://github.com/superluminar-io/super-eks/issues/45)

### [0.1.7](https://github.com/superluminar-io/super-eks/compare/v0.1.6...v0.1.7) (2021-02-05)


### Features

* Harden NodeGroupRole by denying VPC actions. ([#37](https://github.com/superluminar-io/super-eks/issues/37)) ([8e6dabe](https://github.com/superluminar-io/super-eks/commit/8e6dabe36c3abbe8b8a9b45d40c2ec0637fa86bb))

### [0.1.6](https://github.com/superluminar-io/super-eks/compare/v0.1.5...v0.1.6) (2021-02-05)


### Features

* **#30:** VPC CNI addon ([#31](https://github.com/superluminar-io/super-eks/issues/31)) ([d6934c0](https://github.com/superluminar-io/super-eks/commit/d6934c0c71d1dc209266294037407487db1931c8)), closes [#30](https://github.com/superluminar-io/super-eks/issues/30)

### [0.1.5](https://github.com/superluminar-io/super-eks/compare/v0.1.4...v0.1.5) (2021-02-04)

### [0.1.4](https://github.com/superluminar-io/super-eks/compare/v0.1.3...v0.1.4) (2021-02-04)


### Features

* Whitelist IAM roles for admin access ([#29](https://github.com/superluminar-io/super-eks/issues/29)) ([68cb98d](https://github.com/superluminar-io/super-eks/commit/68cb98d53343cbeb12476f555726883d344aef63))

### [0.1.3](https://github.com/superluminar-io/super-eks/compare/v0.1.2...v0.1.3) (2021-02-04)

### [0.1.2](https://github.com/superluminar-io/super-eks/compare/v0.1.1...v0.1.2) (2021-02-04)


### Bug Fixes

* package name ([2be92df](https://github.com/superluminar-io/super-eks/commit/2be92df2f5baa779174b211dd60dd369a4faaf77))

### 0.1.1 (2021-02-04)


### Features

* **#20:** dedicated Nodegroups for internal workloads ([#24](https://github.com/superluminar-io/super-eks/issues/24)) ([b3aad73](https://github.com/superluminar-io/super-eks/commit/b3aad7395525e2122012608d4842a89b6266b43f)), closes [#20](https://github.com/superluminar-io/super-eks/issues/20)
* **#3:** cluster setup ([#5](https://github.com/superluminar-io/super-eks/issues/5)) ([eea2748](https://github.com/superluminar-io/super-eks/commit/eea274872854b9e6f29b0e0aeb16f173bd5c9e63)), closes [#3](https://github.com/superluminar-io/super-eks/issues/3)


### Bug Fixes

* **external-dns:** namespace creation ([#14](https://github.com/superluminar-io/super-eks/issues/14)) ([fdf6ed1](https://github.com/superluminar-io/super-eks/commit/fdf6ed1c9910006a349eb8d1459edc5878b3b240))
* **fluent-bit:** cloudWatch must be camelCase ([2e4d288](https://github.com/superluminar-io/super-eks/commit/2e4d2884319d5acf4e995a9903c0778ce407f491))

### [0.0.1](https://github.com/superluminar-io/super-eks/compare/v0.2.0...v0.0.1) (2021-02-04)
